Name: H5Dget_storage_size
Signature:
  hsize_t `H5Dget_storage_size`(hid_t `dataset_id` )
Purpose:
  Returns the amount of storage required for a dataset.
Description:
  `H5Dget_storage_size` returns the amount of storage that is required for the specified dataset, `dataset_id`. For chunked datasets, this is the number of allocated chunks times the chunk size. The return value may be zero if no data has been stored.
Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset to query.

Returns:
  Returns the amount of storage space allocated for the dataset, not counting meta data; otherwise returns 0 (zero).
Fortran90 Interface: h5dget_storage_size_f

      SUBROUTINE h5dget_storage_size_f(dset_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dset_id  ! Dataset identifier
        INTEGER(HSIZE_T), INTENT(OUT)  :: size ! Amount of storage required
                                               ! for dataset
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5dget_storage_size_f

History:

Release | Fortran90
1.4.5 | Function introduced in this release.